<template>
  <div class="table_card">
    <div v-if="showTitle" class="title">
      <span style="font-weight: bold">{{ title }}</span>
    </div>
    <div>
      <slot name="tab"></slot>
    </div>
    <div v-if="showForm" class="table_card_form">
      <slot name="form"></slot>
    </div>
    <div>
      <slot name="table"></slot>
    </div>
  </div>
</template>
<script>
export default {
  props: {
    title: {
      type: String,
      default: '标题'
    },
    showTitle: {
      type: Boolean,
      default: true
    },
    showForm: {
      type: Boolean,
      default: true
    }
  },
  data() {
    return {};
  }
};
</script>
<style scoped>
.table_card {
  text-align: left;
}

.title {
  position: relative;
  font-size: 18px;
  color: #333;
  font-weight: 400;
  padding-left: 10px;
  margin-left: 15px;
}

.title::before {
  position: absolute;
  left: 0;
  top: 4px;
  content: '';
  width: 4px;
  height: 18px;
  background-color: #3A7BFA;
  border-radius: 2px;
}

.table_card_form {
  display: flex;
  justify-content: space-between;
  height: 34px;
  padding: 0 15px;
  margin-bottom: 10px;
}

</style>
